:root {
 --logo-size-header: 180px;	
 --logo-size-shrink-header: 100px;
 --logo-size-shrink-header-res: 80px;
 --header-bg-shrink: #ccc;
}

header {
  position: fixed;
  top: 0;
  left: 0;
  padding: 20px 0;
  width: 100%;
  z-index: 999;
}



a:focus {
  outline: 2px solid transparent;
  outline-offset: 2px;
}


.box-logo img {
  height: auto; /* altezza automatica */
  width: var(--logo-size-header); /* dimensione normale */
  transition: width 0.3s ease, height 0.3s ease; /* transizione sia di width che height */
}

.header-shrink .box-logo img {
  height: auto; /* resta auto */
  width: var(--logo-size-shrink-header); /* dimensione ridotta */
}

.header-shrink {
background-color: var(--header-bg-shrink);
}


@media (max-width: 1024px) {

  header {
background-color: var(--header-bg-shrink);
  padding: 10px 0;
}
  .box-logo img {
    width: var(--logo-size-shrink-header-res) !important; /* logo sempre piccolo su mobile */

  }
}


/* Stile base per i link nel footer */
footer .logo-footer-link a  {
  position: relative;
  text-decoration: none;
  color: inherit;
  padding: 0.5rem 0;
  display: inline-block;
}

/* Creazione della linea sottile inizialmente nascosta */
.box-logo a {
margin: 0px; padding: 0px;	
}

.box-logo a::after {
  content: '';
  position: absolute;
  left: 0;
  bottom: 0;
  width: 0;
  height: 0px;
  background-color: transparent;
  transition: width 0.3s ease-in-out;
}

.box-logo img {
  width: var(--logo-size-header);
}

/* Stile base delle voci del menu */
.wp-block-navigation  {
margin-right: 0px;
}
/* Stile base delle voci del menu */
.wp-block-navigation a {
  position: relative;
  text-decoration: none;
  color: inherit;
  padding: 0;
  display: inline-block;
}

/* Barra inferiore animata */
.wp-block-navigation a::after {
  content: '';
  position: absolute;
  left: 0;
  bottom: 0;
  height: 2px;
  width: 0;
  background-color: currentColor; /* usa il colore del testo */
  transition: width 0.3s ease-in-out;
}

/* Espansione della barra al passaggio del mouse */
.wp-block-navigation a:hover::after,
.wp-block-navigation .current-menu-item a::after {
  width: 100%;
}


/* Stile base per i link nel footer */
footer a {
  position: relative;
  text-decoration: none;
  color: inherit;
  padding: 0.1rem 0;
  display: inline-block;
}

/* Creazione della linea sottile inizialmente nascosta */
footer a::after {
  content: '';
  position: absolute;
  left: 0;
  bottom: 0;
  width: 0;
  height: 1px;
  background-color: currentColor;
  transition: width 0.3s ease-in-out;
}

/* Espansione della linea al passaggio del mouse */
footer a:hover::after {
  width: 100%;
}

.basic {
  margin: 0;
  padding: 0;
}

